Package org.gradle.nativeplatform

## Interface NativeComponentExtension

-     @Incubating
      public interface NativeComponentExtension

  The configuration for native components generated by this build.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `executables​(Action<? super NamedDomainObjectContainer<? super NativeExecutableSpec>> action)` | Configure the `NativeExecutableSpec` components produced by the build.
    `NamedDomainObjectContainer<NativeExecutableSpec>` | `getExecutables()` | The `NativeExecutableSpec` components produced by the build.
    `NamedDomainObjectContainer<NativeLibrarySpec>` | `getLibraries()` | The `NativeLibrarySpec` components produced by the build.
    `void` | `libraries​(Action<? super NamedDomainObjectContainer<? super NativeLibrarySpec>> action)` | Configure the `NativeLibrarySpec` components produced by the build.

- - ### Method Detail

    - #### getExecutables

          NamedDomainObjectContainer<NativeExecutableSpec> getExecutables()

      The `NativeExecutableSpec` components produced by the build.

    - #### executables

          void executables​(Action<? super NamedDomainObjectContainer<? super NativeExecutableSpec>> action)

      Configure the `NativeExecutableSpec` components produced by the build.

    - #### getLibraries

          NamedDomainObjectContainer<NativeLibrarySpec> getLibraries()

      The `NativeLibrarySpec` components produced by the build.

    - #### libraries

          void libraries​(Action<? super NamedDomainObjectContainer<? super NativeLibrarySpec>> action)

      Configure the `NativeLibrarySpec` components produced by the build.